MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024093Open CASCADE[OCCT] OCCT:Shape Healingpublic2013-07-31 17:092017-10-16 17:01
Reporterbugmaster 
Assigned Toapn 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0024093: heal\surface_to_bspline sub-group started in parallel mode hangs MacOS station.
Descriptionheal\surface_to_bspline sub-group started in parallel mode (tested in 2-4 threads) hangs MacOS station on command "DT_ToBspl result a".
The reason is complete consumption of memory and swap with followed station's hanging.
The CPU limit (300 sec) does not work.
Sub-group is executed only if it was started with key -parallel 1 but very slowly.
And it is because CPU limit work.

TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0028695)
abv (manager)
2014-04-04 18:58

Please check current status on CR671 branch
(0028760)
bugmaster (administrator)
2014-04-09 12:52

current status on CR671 branch is the same as early.
complete consumption of memory and permanently expanding swap
(0032177)
abv (manager)
2014-09-26 06:08

Please check the status on current master
(0032229)
bugmaster (administrator)
2014-09-26 14:04

Problems are reproduced on current IR-2014-09-25
(0065814)
abv (manager)
2017-05-11 09:01

Please check the status on current master
(0071547)
bugmaster (administrator)
2017-10-16 17:01

Problems is not reproduced on macOS Sierra on current master on test group heal started in parallel mode

- Issue History
Date Modified Username Field Change
2013-07-31 17:09 bugmaster New Issue
2013-07-31 17:09 bugmaster Assigned To => abv
2013-07-31 17:09 bugmaster Status new => feedback
2013-07-31 17:16 bugmaster Description Updated View Revisions
2013-07-31 17:18 bugmaster Description Updated View Revisions
2013-08-02 16:11 abv Assigned To abv => dbv
2013-08-02 16:11 abv Status feedback => assigned
2013-08-27 17:27 abv Assigned To dbv => omy
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:58 abv Note Added: 0028695
2014-04-04 18:58 abv Assigned To omy => bugmaster
2014-04-04 18:58 abv Status assigned => feedback
2014-04-09 12:50 bugmaster Assigned To bugmaster => abv
2014-04-09 12:52 bugmaster Note Added: 0028760
2014-04-28 10:55 abv Target Version 6.7.1 => 6.8.0
2014-09-26 06:08 abv Assigned To abv => bugmaster
2014-09-26 06:08 abv Note Added: 0032177
2014-09-26 14:03 bugmaster Assigned To bugmaster => abv
2014-09-26 14:04 bugmaster Note Added: 0032229
2014-09-26 15:06 abv Target Version 6.8.0 => 7.1.0
2016-11-03 17:07 abv Target Version 7.1.0 => 7.2.0
2017-05-11 09:01 abv Assigned To abv => bugmaster
2017-05-11 09:01 abv Note Added: 0065814
2017-07-27 11:15 abv Target Version 7.2.0 => 7.4.0*
2017-09-26 11:14 bugmaster Assigned To bugmaster => apn
2017-10-16 17:01 bugmaster Note Added: 0071547
2017-10-16 17:01 bugmaster Status feedback => closed
2017-10-16 17:01 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker